> For the complete documentation index, see [llms.txt](https://docs.statusentry.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.statusentry.com/incident-entry.md).

# Incident Entry API

## List Incident Entries

<mark style="color:blue;">`GET`</mark> `https://api.statusentry.com/v1/incidents/:incidentID/entries`

This endpoint allows you to get entries for the specified incident.

#### Path Parameters

| Name       | Type   | Description        |
| ---------- | ------ | ------------------ |
| incidentID | string | ID of the incident |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization Token |

{% tabs %}
{% tab title="200 " %}

```
{
    "customerId": "87da60eb-d7ab-4f10-9151-7df1c09c030e",
    "incidentId": "8e40a4ba-5ee6-4698-8dc7-1fa0884a7487",
    "entries": [
        {
            "sendNotification": true,
            "customerId": "87da60eb-d7ab-4f10-9151-7df1c09c030e",
            "id": "afc52af9-6502-42ca-8f2b-e07ca0c2b708",
            "incidentId": "8e40a4ba-5ee6-4698-8dc7-1fa0884a7487",
            "message": "We are investigating a problem in our signup flow. We will provide an update as soon as we have more information or within 10 minutes.",
            "date": "1609681547",
            "incidentStatus": "investigating",
            "affectedComponents": [
                {
                    "componentId": "fb5e3cdc-4550-47d9-a96d-287c987f2ba0",
                    "componentStatus": "degraded_performance"
                }
            ]
        }
    ]
}




```

{% endtab %}
{% endtabs %}

## Get Incident Entry

<mark style="color:blue;">`GET`</mark> `https://api.statusentry.com/v1/incidents/:incidentID/entries/:entryID`

This endpoint allows you to get specific incident entry.

#### Path Parameters

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| entryID    | string | ID of the incident entry |
| incidentID | string | ID of the incident       |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization Token |

{% tabs %}
{% tab title="200 " %}

```
{
    "sendNotification": true,
    "customerId": "87da60eb-d7ab-4f10-9151-7df1c09c030e",
    "id": "afc52af9-6502-42ca-8f2b-e07ca0c2b708",
    "incidentId": "8e40a4ba-5ee6-4698-8dc7-1fa0884a7487",
    "message": "We are investigating a problem in our signup flow. We will provide an update as soon as we have more information or within 10 minutes.",
    "date": "1609681547",
    "incidentStatus": "investigating",
    "affectedComponents": [
        {
            "componentId": "fb5e3cdc-4550-47d9-a96d-287c987f2ba0",
            "componentStatus": "degraded_performance"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Add Incident Entry

<mark style="color:green;">`POST`</mark> `https://api.statusentry.com/v1/incidents/:incidentID/entries`

This endpoint allows you to add new incident entry.

#### Path Parameters

| Name       | Type   | Description        |
| ---------- | ------ | ------------------ |
| incidentID | string | ID of the incident |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization Token |

#### Request Body

| Name               | Type    | Description                                                                                                                                                                         |
| ------------------ | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sendNotification   | boolean | Set if subscribers should be notified for this update. Default is true.                                                                                                             |
| affectedComponents | object  | <p>Affected components.<br>Fields: <br>componentId, <br>componentStatus<br>(operational,<br>degraded\_performance,<br>partial\_outage,<br>major\_outage,<br>under\_maintenance)</p> |
| incidentStatus     | string  | <p>Status of the incident<br>Available values:<br>investigating,<br>identified,<br>monitoring,<br>resolved</p>                                                                      |
| date               | integer | Epoch time in milliseconds for this update                                                                                                                                          |
| message            | string  | Incident update message                                                                                                                                                             |

{% tabs %}
{% tab title="200 " %}

```
{
    "sendNotification": true,
    "customerId": "87da60eb-d7ab-4f10-9151-7df1c09c030e",
    "id": "d0eb2e3b-0617-4c4f-87a8-5be193661836",
    "incidentId": "8e40a4ba-5ee6-4698-8dc7-1fa0884a7487",
    "message": "We have identified the problem in signup flow. Our engineers are working on the problem to resolve.",
    "date": "1609681547",
    "incidentStatus": "identified",
    "affectedComponents": [
        {
            "componentId": "fb5e3cdc-4550-47d9-a96d-287c987f2ba02",
            "componentStatus": "degraded_performance"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Update Incident Entry

<mark style="color:orange;">`PUT`</mark> `https://api.statusentry.com/v1/incidents/:incidentID/entries/:entryID`

This endpoint allows you to update a specific incident entry.

#### Path Parameters

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| entryID    | string | ID of the incident entry |
| incidentID | string | ID of the incident       |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization Token |

#### Request Body

| Name               | Type    | Description                                                                                                                                                            |
| ------------------ | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sendNotification   | boolean | Set if the subscribers should be notified for this update. Default is true.                                                                                            |
| affectedComponents | object  | <p>Affected components.<br>Fields:<br>componentId,<br>componentStatus <br>(operational, degraded\_performance, partial\_outage, major\_outage, under\_maintenance)</p> |
| incidentStatus     | string  | <p>Status of the incident.<br>Available values:<br>investigating,<br>identified,<br>monitoring,<br>resolved</p>                                                        |
| date               | integer | Epoch time in milliseconds for this update                                                                                                                             |
| message            | string  | Incident update message                                                                                                                                                |

{% tabs %}
{% tab title="200 " %}

```
{}
```

{% endtab %}
{% endtabs %}

## Delete Incident Entry

<mark style="color:red;">`DELETE`</mark> `https://api.statusentry.com/v1/incidents/:incidentID/entries/:entryID`

This endpoint allows you to delete specific incident entry.

#### Path Parameters

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| entryID    | string | ID of the incident entry |
| incidentID | string | ID of the incident       |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization Token |

{% tabs %}
{% tab title="200 " %}

```
{}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.statusentry.com/incident-entry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
